Which version should I be using? DynamicFormsExtensions?

Jan 29, 2013 at 10:28 PM

The 2.0 says it is released with the date of Dec 19, 2012. However there is nothing available in the downloads section, and the most recent code branch is Sep 23, 2010.

There's also a fork called DynamicFormsExtensions.. this seems to have the most recent version of Oct 7, 2011. Is this stable? Does anyone know which build is the stable build or outstanding issues?

I'd like to get this up and running properly and contribute as well, but I need the correct starting point. The version I *did* download from the downloads section is some even older version which does not have Template functionality, etc..

 

Thanks!

 

Drew

Jan 30, 2013 at 12:46 AM

Taking a look at the fork you mention (I've never checked it out before now) it appears that the changes are all based off of my last commit. To determine whether to use the "official 2.0" release or the extensions fork, just look at the code here http://goo.gl/Syjrz and determine if the features that he/she has added appear useful to you. 

 

Just be aware that I don't have any experience working with that fork and have no idea about it's added feature set.

Jan 31, 2013 at 7:42 PM
thanks again. I did compare the two, and that fork mainly adds a 'ScriptableWidget' control which enables you to put some Javascript inside the page, allowing you to define which control gets creating inside JS. I did get it working, but the label around it doesn't position correctly. This build also adds positioning/re-sizing as well as allows you define more things with CSS and hide/show error messages at the Form level. All in all, it looks pretty solid.

I am still however trying to determine which version I am using right now, and could use your help. I downloaded the zip file from the version 1.0 downloads section, and studied and used that for the past few weeks. It says the release is Jan 31, 2010. But there's no build in the source for that date. It also says 'updated April 9, 2010'. But when I goto that build - it does not match the zip contents (it has Template and such, but the zip contents does not).

I just really would like to know which build I have been using and studying the last few weeks, so I can do a compare to the latest version to see exactly what changed before I start integrating this new version. Can you help?

thanks again!

Drew
Feb 1, 2013 at 1:02 PM
If you downloaded the dll directly it was 1.0.

I built the last change set and posted the dll on 2.0 release page.